Help with Convert Curve into poly line script

So here is my problem I have written a script to be able to adjust the arc/curve into a user inputed number of segments it works great but not good when using the rs.command("_Handle")

import rhinoscriptsyntax as rs

rs.Command("_HandleCurve")
curve = rs.LastCreatedObjects(select = True)
rs.Sleep(200)
Length = rs.CurveLength(curve)
curve = rs.FirstObject(True,False,False)
Get = rs.GetInteger("how many segments do you want?")
Seg = Length / Get
Ges = Get / Length
print Seg, " , " ,Length 
#rs.DivideCurveLength(curve,Seg)
rs.ConvertCurveToPolyline(curve, angle_tolerance=179.,tolerance=0.01,delete_input=True,min_edge_length = Ges,max_edge_length=Seg) 
print "divided curve into ",Get, " Segments that have a length of ",Seg
print "converted curve to polyline"
rs.UnselectObject(curve)

so that’s the script ive played around with the angle_tolerance to no avail switched around the variables for min edge len and max edge len and still I either get a straight line or the whole thing gets deleted… but if this is run with the command for _Arc everything is gravy any ideas?

Whoops I think its in the wrong category Welll anywho I think I got it to work it was because of my min length thresh hold was too high of a number setting it to 0 makes it all gravy in a semi charmed kinda way:sweat_smile: can some one please place this post in the scripting catagory